User (Apache Tomcat 8.5.83 API Documentation)

Package org.apache.tomcat.jni

## Class User

- java.lang.Object
- - org.apache.tomcat.jni.User

-     @Deprecated
      public class User
      extends java.lang.Object

  Deprecated.
  The scope of the APR/Native Library will be reduced in Tomcat 10.1.x / Tomcat Native 2.x onwards to only include those components required to provide OpenSSL integration with the NIO and NIO2 connectors.
  User
  Author:
    Mladen Turk

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `User()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static long` | `gid​(java.lang.String groupname, long p)` | Deprecated. Get the groupid for a specified group name This function is available only if APR_HAS_USER is defined.
    `static int` | `gidcompare​(long left, long right)` | Deprecated. Compare two group identifiers for equality.
    `static long` | `gidCurrent​(long p)` | Deprecated. Get the groupid of the calling process This function is available only if APR_HAS_USER is defined.
    `static java.lang.String` | `groupname​(long groupid, long p)` | Deprecated. Get the group name for a specified groupid This function is available only if APR_HAS_USER is defined.
    `static java.lang.String` | `homepath​(java.lang.String username, long p)` | Deprecated. Get the home directory for the named user This function is available only if APR_HAS_USER is defined.
    `static long` | `uid​(java.lang.String username, long p)` | Deprecated. Get the userid for the specified username This function is available only if APR_HAS_USER is defined.
    `static int` | `uidcompare​(long left, long right)` | Deprecated. Compare two user identifiers for equality.
    `static long` | `uidCurrent​(long p)` | Deprecated. Get the userid (and groupid) of the calling process This function is available only if APR_HAS_USER is defined.
    `static long` | `usergid​(java.lang.String username, long p)` | Deprecated. Get the groupid for the specified username This function is available only if APR_HAS_USER is defined.
    `static java.lang.String` | `username​(long userid, long p)` | Deprecated. Get the user name for a specified userid This function is available only if APR_HAS_USER is defined.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### User

          public User()

      Deprecated.

  - ### Method Detail

    - #### uidCurrent

          public static long uidCurrent​(long p)
                                 throws Error

      Deprecated.
      Get the userid (and groupid) of the calling process This function is available only if APR_HAS_USER is defined.
      Parameters:
        `p` - The pool from which to allocate working space
      Returns:
        Returns the user id
      Throws:
        `Error` - If an error occurred

    - #### gidCurrent

          public static long gidCurrent​(long p)
                                 throws Error

      Deprecated.
      Get the groupid of the calling process This function is available only if APR_HAS_USER is defined.
      Parameters:
        `p` - The pool from which to allocate working space
      Returns:
        Returns the group id
      Throws:
        `Error` - If an error occurred

    - #### uid

          public static long uid​(java.lang.String username,
                                 long p)
                          throws Error

      Deprecated.
      Get the userid for the specified username This function is available only if APR_HAS_USER is defined.
      Parameters:
        `username` - The username to lookup
        `p` - The pool from which to allocate working space
      Returns:
        Returns the user id
      Throws:
        `Error` - If an error occurred

    - #### usergid

          public static long usergid​(java.lang.String username,
                                     long p)
                              throws Error

      Deprecated.
      Get the groupid for the specified username This function is available only if APR_HAS_USER is defined.
      Parameters:
        `username` - The username to lookup
        `p` - The pool from which to allocate working space
      Returns:
        Returns the user's group id
      Throws:
        `Error` - If an error occurred

    - #### gid

          public static long gid​(java.lang.String groupname,
                                 long p)
                          throws Error

      Deprecated.
      Get the groupid for a specified group name This function is available only if APR_HAS_USER is defined.
      Parameters:
        `groupname` - The group name to look up
        `p` - The pool from which to allocate working space
      Returns:
        Returns the user's group id
      Throws:
        `Error` - If an error occurred

    - #### username

          public static java.lang.String username​(long userid,
                                                  long p)
                                           throws Error

      Deprecated.
      Get the user name for a specified userid This function is available only if APR_HAS_USER is defined.
      Parameters:
        `userid` - The userid
        `p` - The pool from which to allocate the string
      Returns:
        New string containing user name
      Throws:
        `Error` - If an error occurred

    - #### groupname

          public static java.lang.String groupname​(long groupid,
                                                   long p)
                                            throws Error

      Deprecated.
      Get the group name for a specified groupid This function is available only if APR_HAS_USER is defined.
      Parameters:
        `groupid` - The groupid
        `p` - The pool from which to allocate the string
      Returns:
        New string containing group name
      Throws:
        `Error` - If an error occurred

    - #### uidcompare

          public static int uidcompare​(long left,
                                       long right)

      Deprecated.
      Compare two user identifiers for equality. This function is available only if APR_HAS_USER is defined.
      Parameters:
        `left` - One uid to test
        `right` - Another uid to test
      Returns:
        APR_SUCCESS if the apr_uid_t structures identify the same user, APR_EMISMATCH if not, APR_BADARG if an apr_uid_t is invalid.

    - #### gidcompare

          public static int gidcompare​(long left,
                                       long right)

      Deprecated.
      Compare two group identifiers for equality. This function is available only if APR_HAS_USER is defined.
      Parameters:
        `left` - One gid to test
        `right` - Another gid to test
      Returns:
        APR_SUCCESS if the apr_gid_t structures identify the same group, APR_EMISMATCH if not, APR_BADARG if an apr_gid_t is invalid.

    - #### homepath

          public static java.lang.String homepath​(java.lang.String username,
                                                  long p)
                                           throws Error

      Deprecated.
      Get the home directory for the named user This function is available only if APR_HAS_USER is defined.
      Parameters:
        `username` - The named user
        `p` - The pool from which to allocate the string
      Returns:
        New string containing directory name
      Throws:
        `Error` - If an error occurred